searchData={"items":[{"type":"module","title":"JsonSchemaNif","doc":"Provides functionality for validating JSON instances against JSON schemas.\n\nThis Elixir module interfaces with Rust-implemented functions via Rustler,\nleveraging Rust's performance for efficient JSON validation.","ref":"JsonSchemaNif.html"},{"type":"function","title":"JsonSchemaNif.validate_json/2","doc":"Validates a JSON instance against a JSON schema.\n\nThis function is a wrapper for the Rust-implemented NIF (Native Implemented Function).","ref":"JsonSchemaNif.html#validate_json/2"},{"type":"function","title":"Parameters - JsonSchemaNif.validate_json/2","doc":"- `instance`: The JSON instance to be validated.\n  - `schema`: The JSON schema against which the instance is validated.","ref":"JsonSchemaNif.html#validate_json/2-parameters"},{"type":"function","title":"Returns - JsonSchemaNif.validate_json/2","doc":"Returns `:ok` if the JSON instance matches the schema, `{:error, :violates_schema}` if it violates\nthe schema, or an appropriate error tuple for other failure modes.","ref":"JsonSchemaNif.html#validate_json/2-returns"},{"type":"function","title":"Examples - JsonSchemaNif.validate_json/2","doc":"iex> JsonSchemaNif.validate_json(\"{\\\"name\\\":\\\"John\\\"}\", \"{\\\"type\\\":\\\"object\\\"}\")\n    :ok\n\n    iex> JsonSchemaNif.validate_json(\"{\\\"age\\\":30}\", \"{\\\"type\\\":\\\"string\\\"}\")\n    {:error, :violates_schema}","ref":"JsonSchemaNif.html#validate_json/2-examples"},{"type":"function","title":"Note - JsonSchemaNif.validate_json/2","doc":"This function will raise an error if the NIF is not loaded, which typically indicates\na compilation or deployment issue with the Rust code.","ref":"JsonSchemaNif.html#validate_json/2-note"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}